%if 0%{?suse_version}
%define daemon_group www
%else
%define daemon_group apache
%endif

Summary: op5 Licensing package
Name: op5license
Version: 1.4.3
Release: op5.1
Group: op5/system-addons
License: op5 Software License
Source: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: i386 x86_64
Requires: op5-default, op5common, openssl
BuildRequires: openssl-devel

%description
This package provides op5 license software library. Other packages
uses the code here to verify and manipulate the license installed
on the system.

%prep
%setup -q

%build
make

%install
rm -rf %buildroot
mkdir -p  %buildroot/opt/op5sys/bin
mkdir -p  %buildroot/opt/op5sys/lib/php
mkdir -p  %buildroot/etc/op5license
mkdir -p %buildroot/opt/monitor/op5/ninja/application/addons/license
install -m 755 op5license-verify %buildroot/opt/op5sys/bin
install -m 755 op5license-install %buildroot/opt/op5sys/bin
install -m 755 php/*.php %buildroot/opt/op5sys/lib/php
install -m 755 op5license-repo-config.sh %buildroot/opt/op5sys/bin
install -m 644 ninja/license/* %buildroot/opt/monitor/op5/ninja/application/addons/license

%files
%defattr(-,root,root)
/opt/op5sys/bin/op5license-verify
/opt/op5sys/bin/op5license-install
/opt/op5sys/lib/php/*.php
/opt/op5sys/bin/op5license-repo-config.sh
/opt/monitor/op5/ninja/application/addons/license
%attr(775, root, %daemon_group) /etc/op5license


%clean
rm -rf %buildroot


%changelog
* Mon Sep 17 2007 Peter Ostlin <peter.ostlin@op5.com>
- Initial creation
